Bug 193991 - Samba share of "/local" volume label in extended partion /dev/hdb3 draws Sys Err 67 "The network name cannont be found" on a windows client trying to 'use' the label.
Samba share of "/local" volume label in extended partion /dev/hdb3 draws Sys ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-03 22:07 EDT by Keith L Hatfield
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 14:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith L Hatfield 2006-06-03 22:07:01 EDT
Description of problem:
Samba share of "/local" volume label in extended partion /dev/hdb3 draws Sys Err
67 "The network name cannont be found" on a windows client try to 'use' the
label.  I've got 2 other Samba shares from the same drive but from primary
partitions '/opt' /dev/hdb1 and '/home' /dev/hdb2 that work just fine when I use
them from the same windows client.

HERE is the testparm output: 

[root@klhatfield4 ~]# testparm
Load smb config files from /etc/samba/smb.conf
Processing section "[homes]"
Processing section "[printers]"
Processing section "[home]"
Processing section "[tomcat5]"
Processing section "[apacheweb]"
Processing section "[downloads]"
Processing section "[opt]"
Loaded services file OK.
WARNING: passdb expand explicit = yes is deprecated
Server role: ROLE_STANDALONE
Press enter to see a dump of your service definitions

[global]
        workgroup = ALLENAVE
        server string = Fedora Core 5 Server
        map to guest = Bad User
        username map = /etc/samba/smbusers
        log file = /var/log/samba/log.smbd
        max log size = 50
        server signing = auto
        socket options = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192
        printcap name = /etc/printcap
        preferred master = No
        domain master = No
        dns proxy = No
        ldap ssl = no
        idmap uid = 16777216-33554431
        idmap gid = 16777216-33554431
        cups options = raw

[homes]
        comment = Home Directories
        read only = No

[printers]
        comment = All Printers
        path = /var/spool/samba
        printable = Yes
        browseable = No

[home]
        comment = Home directories for klhatfield4 users
        path = `
        valid users = khatfiel
        admin users = khatfiel
        read only = No
        case sensitive = No
        msdfs proxy = no

[tomcat5]
        comment = J2EE application server JDK1.4
        path = /usr/share/tomcat5
        valid users = khatfiel
        read only = No

[apacheweb]
        comment = www, downloads, etc
        path = /local/www
        valid users = khatfiel
        read only = No
        case sensitive = No

[downloads]
        comment = Fedora and SUSE downloads
        path = /local/downloads
        valid users = khatfiel
        read only = No
        case sensitive = No

[opt]
        comment = Eclipse and MyEclipse and other applications
        path = /opt
        valid users = khatfiel
        read only = No
        case sensitive = No

mount output: 

[root@klhatfield4 ~]# mount
/dev/hda2 on / type ext3 (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/shm on /dev/shm type tmpfs (rw)
/dev/hdb2 on /home type ext3 (rw)
/dev/hdb1 on /opt type ext3 (rw)
/dev/hdb3 on /local type ext3 (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid2039) on /net type autofs (rw,fd=4,pgrp=2039,minproto=2,maxproto=4)
automount(pid2034) on /smb type autofs (rw,fd=4,pgrp=2034,minproto=2,maxproto=4)
nfsd on /proc/fs/nfsd type nfsd (rw)

Version-Release number of selected component (if applicable):
root@klhatfield4 ~]# smbstatus

Samba version 3.0.22-1.fc5
PID     Username      Group         Machine
-------------------------------------------------------------------
 3283   khatfiel      khatfiel      klht41       (192.168.15.103)

Service      pid     machine       Connected at
-------------------------------------------------------
khatfiel     3283   klht41        Sat Jun  3 21:34:28 2006
tomcat5      3283   klht41        Sat Jun  3 21:34:32 2006
opt          3283   klht41        Sat Jun  3 21:34:23 2006

Locked files:
Pid          DenyMode   Access      R/W        Oplock           SharePath      
    Name
----------------------------------------------------------------------------------------
3283         DENY_NONE  0x100001    RDONLY     NONE            
/usr/share/tomcat5   .   Sat Jun  3 21:34:32 2006



How reproducible: very

Steps to Reproduce:
1. Add a new harddrive and create 2 primary partitions and 1 extended partition 
with a single volume in it.
2. mkfs ext3 on each, e2label each, and mount each.
3. Configure Samba to share each partition by its label with user level security
4. net use vol: \\server\mountpoint-label /user:existing server user * for each
primary partition share, no problemo,  Now try to use the share from the
extended partion. 


Actual results:
"The network name cannont be found" on a windows client trying to 'use' the
label associated with the share from the extended partion.  You can see all
three from Windows Network Neighborhood.

Expected results:
Should work like the primary partion Samba shares did.


Additional info:
I've tried every trick an administrator can throw at this problem and it is a
toughy.
Comment 1 Jay Fenlason 2006-06-05 09:46:35 EDT
Do you have SELinux enabled?  Are there any avc messages showing up 
in /var/log/messages saying that smbd was refused permission to access /local? 
Comment 2 Keith L Hatfield 2006-06-08 01:45:08 EDT
Here is the info you requested.  

I was able to change SELinux setting to permissive and now I can see /local, 
but I can't write to it, even when logging in as a user with permission to do so.

Here are some files that show the state of the machine, the DOS commands executed
and some of the SMB Daemon log.
Comment 4 Simo Sorce 2007-11-23 14:51:10 EST
This was SELinux mislabeling, closing as it is not a samba bug.

Note You need to log in before you can comment on or make changes to this bug.